if not rclient then
	
	function running()
		local _, stat = io.readproc('pidof zwave')
		return stat == 0
	end

	function wait(timeout)
		local res

		for i = 1, timeout do
			res = running()

			if res then
				os.sleep(1)
			else
				break
			end
		end

		return not res
	end

	function stop()
		if not running() then
			return
		end

		os.execute('killall zwave')
		if not wait(3) then
			os.execute('killall -9 zwave')
			wait(3)
		end
	end

	function restart()
		stop()
		os.execute('/home/apps/usr/sbin/zwave /home/apps/usr/share/openzwave/ /tmp/log/ /dev/ttyACM0 /home/apps/usr/share/zwave/handler.lua')
	end

	function get_home_id()
		local keys = rclient:hkeys('zwave:driver')

		for _, k in ipairs(keys) do
			if tonumber(k) ~= 0 then
				return k
			end
		end
	end

	--restart()
	rclient = require('redis').connect()
end

--maxRows = 800 
home_id = get_home_id()
if home_id then
  name = 'zwave:present:' .. home_id
  if not rclient:exists(name) then
  	 restart()
  else
	--local f = io.popen("cat  /tmp/log/OZW_Log.txt | wc -l") 
	--local rows = tonumber(f:read("*a"))
	--if rows > maxRows then
	--	rows = rows - maxRows
	--	os.execute("sed -i '1," .. rows .. "d' /tmp/log/OZW_Log.txt")
	--end 
	--f:close()
  end
end

os.sleep(30)